## oolite 1.65

=== tools/ScriptCompiler/Makefile ===
JFLAGS=--main=dt.oolite.scriptcompiler.ScriptCompiler
GCJ=gcj
SRCPATH=src/dt/oolite/scriptcompiler

ScriptCompiler: $(SRCPATH)/ScriptCompiler.java
	$(GCJ) $(JFLAGS) $(SRCPATH)/$@.java -o $@

=== debian/changelog ===
oolite (1.65-7) unstable; urgency=low

  [ Eddy Petrișor ]
  * properly install the lintian override
  * override the emty-dir lintian warning since we actually need and
    empty dir

  [ Nicolas Boulenguez ]
  * Switch to dpkg-source 3.0 (quilt) format
  * rules: used debhelper overrides
  * moved non patch files from debian/patches to debian
  * renamed debhelper files (foo->oolite.foo) to comply to recent
    guidelines and prepare sharing source with oolite-data
  * removed dirs debhelper files, no more needed
  * control: added Homepage, Standards-Version 3.9.0, added myself to uploaders
  * copyright: added explicit copyright dates, broken very long lines.
  * doc-base: registered reference sheet
  * Closes: 578310 by recompilating with current headers

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 08 Jul 2010 16:16:52 +0200

oolite (1.65-6) unstable; urgency=low

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Eddy Petrișor ]
  * changes (closes: #449101, #447465) according to
    http://lists.alioth.debian.org/pipermail/pkg-games-devel/2007-July/004000.html
    - use gs_make instead of sourcing
      /usr/lib/GNUstep/System/Makefiles/GNUstep.sh and running $(MAKE)
    - bumped versioned build depends on libgnustep-base-dev to (>= 1.14.0)
    - added a Build-Depends on quilt since we needed a patch to obtain this
  * install the .desktop file; patch thanks to Mario Bonino from Ubuntu

  [ Gerfried Fuchs ]
  * Removed leading The from the synopsis.

  [ Eddy Petrișor ]
  * bump debhelper compatibiliy to 5; updated builddep on debhelper
    accordingly
  * removed no longer needed XS-Autobuild

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:46:28 +0000

oolite (1.65-5) unstable; urgency=low

  * remove debian/svn-deblayout from the source since it holds 0 value for the
    actual source package
  * the game was relicensed by upstream with the dual license model (GNU GPL
    and CC-NC-SA) - this was acknowledged to be done also retroactively for
    the current stable release of the game. Here is a quote from upstream's
    announce on its forum:
    The current official release, 1.65, may be considered to be dual-licensed;
    that is, it may be distributed under its current license (the Creative
    Commons Attribution-NonCommercial-ShareAlike 2.0 license, herafter known
    as CC-by-nc-sa-2) or the GPL.
  * change section from non-free/games to games as a consequence of the former
  * remove the justification from copyright for autobuilding this package since
    will be autobuild in main from now on
  * update TODO to remember to update the copyright info when the new release
    will be done

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed,  7 Mar 2007 01:06:03 +0200

oolite (1.65-4) unstable; urgency=low

  * changed XS-X-VCS-SVN into XS-VCS-SVN after the discussion on debian devel
  * also ship the TXT.rtf file which is actually a replacement for PLAYING.txt
  * added two more files with pointers to online documentation about the game:
    advanced_instructions.readme and first_flight.readme
  * remove "Application" from the categories list in the desktop file since is
    not a valid category
  * added the "XS-Autobuild: yes" line in the control file and added reasons
    in the copyright file (after Andi white-listed the package)
    Done as requested in:
    http://lists.debian.org/debian-devel-announce/2006/11/msg00012.html
  * install the Oolite reference sheet which was hidden in
    installers/win32/OoliteRS.pdf
  * fix the mail format in README.Debian
  * no longer install README_LINUX.TXT since is useless to Debian users
  * added a PLAYING.TXT with pointers about the contents of the installed
    documentation

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Fri, 22 Dec 2006 17:26:39 +0200

oolite (1.65-3) unstable; urgency=low

  * build depend on non-versioned libgnustep-base-dev instead of the
    versioned variant because of the GNUstep transition (Closes: #389855)
  * added the xs-x-vcs-svn header to the control file
  * changed the locale language code for Romanian in the desktop file from ro
    to ro_RO since the short form is the last to be tested (marginal speed
    optimisation)
  * updated package TODO file (nothing to do :-)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 27 Sep 2006 21:11:23 +0300

oolite (1.65-2) unstable; urgency=low

  * added versioned dependency on oolite-data, since it crashes with older
    data sets

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 26 Jul 2006 11:50:59 +0300

oolite (1.65-1) unstable; urgency=low

  * new upstream release (closes: #378875)
  * changed the watch file as upstream has changed the naming convention
  * removed dependency on sdl-gfx and gnustep-gui since upstream managed to
    remove them.
  * it is no longer needed to have Info-Oolite.plist in the debian part of the
    package, it is now in the source tarball
  * go all the way using debhelper and install the lintian override using it
  * some files changed their location in the upstream source, synced the package

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 26 Jul 2006 10:47:52 +0300

oolite (1.62-5-3) unstable; urgency=low

  * Make the Homepage: "field" match the regexp from Debian Develper's
    Reference, best packaging practices, chapter "6.2.4 Upstream home page"

 -- Eddy Petrişor <eddy.petrisor@gmail.com>  Mon, 29 May 2006 02:07:10 +0300

oolite (1.62-5-2) unstable; urgency=low

  * Added a .desktop file
  * "The fix was already there" fix: typo in debian/control is now visible;
    wrong build was uploaded
  * removed commented call to dh_makeshlibs in debian/rules
  * bump standards version (nothing to do) - 3.7.2
  * fix watch file

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sun, 16 Apr 2006 19:41:25 +0300

oolite (1.62-5-1) unstable; urgency=low

  * Initial release Closes: #361704



=== debian/control ===
Source: oolite
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>, Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Build-Depends: debhelper (>= 7.0.50~), libgnustep-base-dev (>= 1.14.0) , libsdl-mixer1.2-dev, libsdl-image1.2-dev, libglu1-mesa-dev
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/oolite/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/oolite/?op=log
Homepage: http://www.oolite.org

Package: oolite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, oolite-data (>= 1.65-1)
Description: space-sim game Oolite ported to GNUStep/OpenGL linux
 The purpose of the game is to fly from planet to planet,
 buying and selling goods, shooting pirates or committing acts
 of piracy.
 .
 There's no goal other than perhaps to achieve the rank of ELITE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += -Wall

build clean binary-indep binary-arch binary install:
	dh $@

override_dh_auto_build:
	mkdir Resources Contents
	gs_make

override_dh_auto_clean:
	gs_make distclean clean
	rm -fr oolite.app
	rm -rf Resources Contents

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php oolite-(.*)\.tar\.gz
http://developer.berlios.de/project/showfiles.php?group_id=3577 http://prdownload.berlios.de/oolite-linux/oolite-([\d\.-]*)-src.tar.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/oolite-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/oolite-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/oolite/oolite-(.*)\.tar\.gz

## oolite 1.75.3

=== debian/changelog ===
oolite (1.75.3-1ubuntu1) oneiric; urgency=low

  * Allow building with libmozjs185-dev.
  * Switch back to gobjc-4.6, which is compatible with the current GNUstep
    runtime in Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Aug 2011 21:26:39 +0100

oolite (1.75.3-1) unstable; urgency=low

  * New upstream release.
  * gbp.conf, source/local-options: clarified git-buildpackage configuration.
  * compat, control: switched to debhelper 8.
  * patches/libmojs5_not_4.diff: upstream uses mozjs v4, debian v5.
  * control: made dh targets more generic.
  * Upload to unstable with libmozjs>=4 (Closes: #614277).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 16 Jul 2011 14:57:16 +0200

oolite (1.75.2-2) experimental; urgency=low

  * Recompiled with gobjc-4.5, compatible with the current gnustep runtime,
    allthough gobjc-4.6 is now the default compiler in unstable.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 15 May 2011 23:17:45 +0200

oolite (1.75.2-1) experimental; urgency=low

  * New upstream beta release.
  * control: Standards-Version 3.9.2 (no changes)
  * patches: src/Core/OOCPUInfo.h to consult sys/param.h instead of an
    explicit list of architectures to configure endianness. Should help #614277.
  * Updated manpage from upstream debian/ subdir.
  * Removed libespeak support because of #591717.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Tue, 10 May 2011 01:04:17 +0200

oolite (1.75.1-20110315-1) experimental; urgency=low

  * New upstream release. Huge diff because of CRLF elimination.
  * Use system libmozjs-dev instead of embedded one which caused some FTBS.
    (control:Build-Depends, copyright, mozjs.LICENSE, mozjs.LEGAL, rules)
  * Break circular dependency between binary packages (Closes: #616001)
    (control:Depends, rules).
  * Now builds with gcc-4.5 (Closes: #565101).
  * Allowed date component in upstream version number (watch).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 25 Mar 2011 21:59:04 +0100

oolite (1.75-1) unstable; urgency=low

  * New upstream release.
  * DFSG compliant tarball and twice smaller. It embeds the source of
    mozilla javascript library (aka spidermonkey). Oolite needs the version
    shipped with iceweasel 4.0, not yet in libmozjs-dev debian package.
    Upstream downloads it at compile-time, wich is worst.
  * Renamed README->README.Debian so that it is embedded.
  * README.source documenting use of git-buildpackage for debian packaging.
  * control: four binary packages: oolite, -doc, -data and -data-sounds.
    (Uploaders, Maintainers) Removed Eddy and Debian Games Team.
    (Breaks, Replaces) to handle the split of -data (Closes: #614185).
    (Vcs-*) point to alioth git repository instead of old svn.
    (Build-Depends) libnspr4-dev, zip, python for embedded mozjs.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 26 Feb 2011 01:18:27 +0100

oolite (1.74.2-1) unstable; urgency=low

  * New upstream release (closes: #506809).
  * Merged oolite and oolite-data old packaging to share same source.
  * control(Build-Depends): oolite needs its own version of libmozjs.
  * copyright: upstream is now released under the GPL.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 05 Aug 2010 00:49:00 +0200

=== debian/control ===
Source: oolite
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8),
	libsdl1.2-dev, libsdl-mixer1.2-dev,
	libgnustep-base-dev, gnustep-core-devel,
	libnspr4-dev, libmozjs185-dev | libmozjs-dev (>= 2.0~),
	libpng-dev, mesa-common-dev
Homepage: http://www.oolite.org
Vcs-Git: git://git.debian.org/pkg-games/oolite.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/oolite.git

Package: oolite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, oolite-data (= ${source:Version})
Replaces: oolite-data (<< 1.74.2-2)
Breaks: oolite-data (<< 1.74.2-2)
Recommends: oolite-doc (= ${source:Version}),
            oolite-data-sounds (= ${source:Version})
Description: space sim game, inspired by Elite
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.

Package: oolite-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: oolite (<<1.74.2-2), oolite-data (<< 1.74.2-2)
Breaks: oolite (<<1.74.2-2), oolite-data (<< 1.74.2-2)
Suggests: oolite
Description: space sim game, inspired by Elite (documentation)
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.
 .
 This package contains the documentation.

Package: oolite-data
Architecture: all
Depends: ${misc:Depends}
Replaces: oolite (<<1.74.2-2)
Breaks: oolite (<<1.74.2-2)
Description: space sim game, inspired by Elite (data files)
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.
 .
 This package contains the data files for the game.

Package: oolite-data-sounds
Architecture: all
Depends: ${misc:Depends}
Replaces: oolite-data (<< 1.74.2-2)
Breaks: oolite-data (<< 1.74.2-2)
Description: space sim game, inspired by Elite (sounds)
 Oolite is a space sim game, inspired by Elite, powered by Objective-C
 and OpenGL, and designed as a small game that is easy for users to pick
 up, modify and expand upon. Almost every aspect of the game can be changed
 by using simple, free graphics packages and text-editors.
 .
 The purpose of the game is to fly from planet to planet, buying and
 selling goods, shooting pirates or committing acts of piracy.
 .
 This package contains the sounds.

=== debian/rules ===
#!/usr/bin/make -f
#
# Ubuntu/Debian build rules file for OOlite
# Copyright (c) 2007 Chris Crowther <hikari@hikari.org.uk>
#
# Originally based on the exemplar hello project.
# Re-written by Darren Salt
# Tweaked by Michael Werle
# Copyright 2010 Adapted to distribution by Debian by Nicolas Boulenguez.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

GSMAKE = gs_make

GSMAKE += use_deps=no
GSMAKE += ESPEAK=no
GSMAKE += OO_JAVASCRIPT_TRACE=no
GSMAKE += profile=no
GSMAKE += debug=no
GSMAKE += NO_SHADERS=no
GSMAKE += DEPLOYMENT_RELEASE_CONFIGURATION=yes
# DEPLOYMENT_RELEASE_CONFIGURATION=yes implies:
#   BUILD_WITH_DEBUG_FUNCTIONALITY=no
#   OO_CHECK_GL_HEAVY=no
#   OO_EXCLUDE_DEBUG_SUPPORT=yes
#   OO_OXP_VERIFIER_ENABLED=no
#   OO_LOCALIZATION_TOOLS=no
#   DEBUG_GRAPHVIZ=no
GSMAKE += SNAPSHOT_BUILD=no

GSMAKE += LIBJS_INC_DIR=/usr/include/js
GSMAKE += LIBJS_LIB_DIR=/usr/lib
GSMAKE += LIBJS=mozjs185

export CFLAGS += -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += --jobs=$(NUMJOBS)
endif

override_dh_auto_build: $(LIBJS_DIR)
	$(GSMAKE)

override_dh_auto_clean:
	$(GSMAKE) distclean clean
	rm -rf oolite.app

override_dh_installchangelogs:
	dh_installchangelogs --all Doc/CHANGELOG.TXT

=== debian/watch ===
version=3
opts=downloadurlmangle=s/prdownload/download/ \
  http://developer.berlios.de/project/showfiles.php?group_id=3577 \
  http://prdownload.berlios.de/oolite-linux/oolite-dev-source-([\d\.-]*).tar.bz2

## oolite 1.76

=== debian/changelog ===
oolite (1.76-1) unstable; urgency=low

  * New upstream.
  * watch: scan upstream stable releases instead of dev snapshots.
  * control: use default gobjc instead of explicit 4.6.
  * rules: use dpkg-dev build flags.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 22 Dec 2011 00:22:39 +0100

oolite (1.75.3-4) unstable; urgency=low

  * control (Build-Depends): not g++ (was needed for libmozjs)
    dpkg (>= 1.16.1) to set build flags
    gobjc-4.6 to get an explicit FTBFS on next gnustep-dev upgrade
  * copyright: (cosmetic) versioned DEP-3 format.
  * patches/debian_version_of_libmozjs.path: work-around two backward
    incompatibilities introduced by libmozjs-dev (Closes: #643972)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 06 Oct 2011 13:31:41 +0200

oolite (1.75.3-3) unstable; urgency=low

  * rules: compiles with gobjc-4.6, as current gnustep runtime.
  * patches: respect DEP-3
  * copyright: respects DEP-5

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Mon, 19 Sep 2011 18:42:30 +0200

oolite (1.75.3-2) unstable; urgency=low

  * patches: use debian mozjs v6 (Closes: #639075).
  * gbp.conf: handle new git-buildpackage option for dfsg tarballs.
  * rules: --as-needed linker option to remove dpkg-shlibdeps warning.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 25 Aug 2011 20:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: oolite
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
+Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8),
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 8),
 	libsdl1.2-dev, libsdl-mixer1.2-dev,
 	libgnustep-base-dev, gnustep-core-devel,
-	libnspr4-dev, libmozjs185-dev | libmozjs-dev (>= 2.0~),
-	libpng-dev, mesa-common-dev
+	libnspr4-dev, libmozjs-dev (>= 2.0~),
+	libpng-dev, mesa-common-dev,
+        gobjc
 Homepage: http://www.oolite.org
 Vcs-Git: git://git.debian.org/pkg-games/oolite.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/oolite.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	dh $@
 
 GSMAKE = gs_make
-
 GSMAKE += use_deps=no
 GSMAKE += ESPEAK=no
 GSMAKE += OO_JAVASCRIPT_TRACE=no
@@ -32,24 +31,24 @@
 #   DEBUG_GRAPHVIZ=no
 GSMAKE += SNAPSHOT_BUILD=no
 
-GSMAKE += LIBJS_INC_DIR=/usr/include/js
+# Use Debian system-wide mozilla library
+GSMAKE += LIBJS_INC_DIR=/usr/include/mozjs
 GSMAKE += LIBJS_LIB_DIR=/usr/lib
-GSMAKE += LIBJS=mozjs185
+GSMAKE += LIBJS=mozjs
 
-export CFLAGS += -Wall -g
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
+# Use Debian default build options.
+include /usr/share/dpkg/buildflags.mk
+# Link only against needed symbols.
+LDFLAGS += -Wl,--as-needed
+GSMAKE += CFLAGS="$(CFLAGS)"
+GSMAKE += LDFLAGS="$(LDFLAGS)"
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += --jobs=$(NUMJOBS)
 endif
 
-override_dh_auto_build: $(LIBJS_DIR)
+override_dh_auto_build:
 	$(GSMAKE)
 
 override_dh_auto_clean:

=== debian/watch ===
version=3
opts=downloadurlmangle=s/prdownload/download/ \
  http://developer.berlios.de/project/showfiles.php?group_id=3577 \
  http://prdownload.berlios.de/oolite-linux/oolite-source-([\d\.-]*).tar.bz2

## oolite 1.76.1

=== debian/changelog ===
oolite (1.76.1-2) unstable; urgency=low

  * control (Build-Depend), rules, patches/debian_version_of_libmozjs.diff:
    use quite stable libmozjs185-dev instead of libmozjs-dev, that tracks
    firefox's latest API.
  * rules: clarified which settings may be modified in a Debian build.
    CPPFLAGS, CFLAGS, noopt, nostrip -> GNUSTEP.
    parallel=n -> Make.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Mon, 25 Jun 2012 19:55:39 +0200

oolite (1.76.1-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Tue, 29 May 2012 21:16:33 +0200

oolite (1.76dfsg-1) unstable; urgency=low

  * Fake upstream release to correct 1.76.orig.tgz content. It did contain
    the full upstream branch instead of the dfsg_clean branch.
    Adapted watch file with dversionmangle.
  * patches/debian_version_of_libmozjs: refreshed.
  * patches/timer_allocation_bug: backported from upstream VCS, should
    close #665839.
  * Debhelper 9, Standards-Version 3.9.3 (no changes).
  * rules: use all available processors if DEB_BUILD_OPTIONS does not
    specify parallel=n.
  * README.Debian: remove obsolete part.
  * README.source: updated, dpkg-source removes patches automatically.
  * copyright: stand-alone detailed paragraph, updated copyrights.
  * rules: updated copyrights

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 12 May 2012 21:52:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 8),
+Standards-Version: 3.9.3
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 	libsdl1.2-dev, libsdl-mixer1.2-dev,
 	libgnustep-base-dev, gnustep-core-devel,
-	libnspr4-dev, libmozjs-dev (>= 2.0~),
-	libpng-dev, mesa-common-dev,
-        gobjc
+	libnspr4-dev, libmozjs185-dev,
+	libpng-dev, mesa-common-dev, gobjc, libffi-dev
+# Work-around: Oolite does not Build-Depend on libffi-dev, but
+# libmozjs185-dev does (reported as #).
 Homepage: http://www.oolite.org
 Vcs-Git: git://git.debian.org/pkg-games/oolite.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/oolite.git

=== debian/rules ===
#!/usr/bin/make -f

# Ubuntu/Debian build rules file for OOlite

# Copyright (c) 2007-2009 Chris Crowther <hikari@hikari.org.uk>
# Copyright (c) 2009      Darren Salt <linux@youmustbejoking.demon.co.uk>
# Copyright (c) 2009      Michael Werle <micha@michaelwerle.com>
# Copyright (c) 2010-2012 Nicolas Boulenguez <nicolas.boulenguez@free.fr>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

GSMAKE := gs_make
GSMAKE += messages=yes # Display compilation flags to log checkers.

# Usually, "debug=yes strip=no" would be enough, but upstream uses
# "debug" to toggle mozjs features absent from the packaged
# libmozjs185-dev. So we failback to an Ugly Work-Around.
ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
  GSMAKE += STRIP=true
endif

# Oolite configuration. Non-default settings may require libpng12-dev
# libffi-dev, or even libmozjs recompilation.
GSMAKE += ESPEAK=no # http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591717
GSMAKE += OO_JAVASCRIPT_TRACE=no # Forced by libmozjs185 settings
GSMAKE += DEPLOYMENT_RELEASE_CONFIGURATION=yes

# Use Debian default build options.
include /usr/share/dpkg/buildflags.mk
GSMAKE += CFLAGS="$(CFLAGS)"
GSMAKE += CPPFLAGS="$(CPPFLAGS)"
GSMAKE += LDFLAGS="-Wl,--as-needed $(LDFLAGS)"
GSMAKE += OBJCFLAGS="$(CFLAGS)"

# Ignore GNUSTEP optimization setting, noopt is handled by CFLAGS.
GSMAKE += OPTFLAG=""

# Use all processors unless parallel is set in DEB_BUILD_OPTIONS.
# http://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
NUMJOBS := $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(NUMJOBS))
  GSMAKE += --jobs=$(subst parallel=,,$(NUMJOBS))
else
  GSMAKE += --jobs=$(shell getconf _NPROCESSORS_ONLN)
endif

override_dh_auto_build:
	$(GSMAKE)

override_dh_auto_clean:
	$(GSMAKE) distclean clean
	rm -rf oolite.app

override_dh_installchangelogs:
	dh_installchangelogs --all Doc/CHANGELOG.TXT

## oolite 1.77.1

=== Makefile ===
include config.make

# Build version string, taking into account that 'VER_REV' may not be set
VERSION     := $(strip $(shell cat src/Cocoa/oolite-version.xcconfig | cut -d '=' -f 2))
VER_MAJ     := $(shell echo "${VERSION}" | cut -d '.' -f 1)
VER_MIN     := $(shell echo "${VERSION}" | cut -d '.' -f 2)
VER_REV     := $(shell echo "${VERSION}" | cut -d '.' -f 3)
VER_REV     := $(if ${VER_REV},${VER_REV},0)
SVNREVISION := $(shell svn info  | grep Revision | cut -d ' ' -f 2)
VER         := $(shell echo "${VER_MAJ}.${VER_MIN}.${VER_REV}.${SVNREVISION}")
BUILDTIME   := $(shell date "+%Y.%m.%d %H:%M")
DEB_BUILDTIME   := $(shell date "+%a, %d %b %Y %H:%M:%S %z")
ifeq (${VER_REV},0)
DEB_VER     := $(shell echo "${VER_MAJ}.${VER_MIN}")
else
DEB_VER     := $(shell echo "${VER_MAJ}.${VER_MIN}.${VER_REV}")
endif
DEB_REV     := $(shell cat debian/revision)
# Ubuntu versions are: <upstream version>-<deb ver>ubuntu<build ver>
# eg: oolite1.74.4.2755-0ubuntu1
# Oolite versions are: MAJ.min.rev.svn
# eg. 1.74.0.3275
# Our .deb versions are: MAJ.min.rev.svn-<pkg rev>[~<type>]
# eg. 1.74.0.3275-0, 1.74.0.3275-0~test
pkg-debtest: DEB_REV             := $(shell echo "0~test${DEB_REV}")
pkg-debsnapshot: DEB_REV         := $(shell echo "0~trunk${DEB_REV}")

ifeq ($(GNUSTEP_HOST_OS),mingw32)
    LIBJS                        = deps/Windows-x86-deps/DLLs/js32ECMAv5.dll
    LIBJS_DBG                    = deps/Windows-x86-deps/DLLs/js32ECMAv5.dll
    DEPS                         = $(LIBJS)
    DEPS_DBG                     = $(LIBJS_DBG)
else
    # define autopackage .apspec file according to the CPU architecture
    HOST_ARCH                    := $(shell echo $(GNUSTEP_HOST_CPU) | sed -e s/i.86/x86/ -e s/amd64/x86_64/ )
    ifeq ($(HOST_ARCH),x86_64)
       APSPEC_FILE               = installers/autopackage/default.x86_64.apspec
    else
        APSPEC_FILE              = installers/autopackage/default.x86.apspec
    endif

    DEPS                         = LIBJS
    DEPS_DBG                     = LIBJS_DBG
endif


# Here are our default targets
#
.PHONY: debug
debug: $(DEPS_DBG)
	$(MAKE) -f GNUmakefile debug=yes
	cd DebugOXP && $(MAKE) && cd .. && mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && mv -f DebugOXP/Basic-debug.oxp AddOns/

.PHONY: release
release: $(DEPS)
	$(MAKE) -f GNUmakefile debug=no
	cd DebugOXP && $(MAKE) && cd .. && mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && mv -f DebugOXP/Basic-debug.oxp AddOns/

.PHONY: release-deployment
release-deployment: $(DEPS)
	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no
	
.PHONY: release-snapshot
release-snapshot: $(DEPS)
	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no
	cd DebugOXP && $(MAKE) && cd .. && mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && mv -f DebugOXP/Basic-debug.oxp AddOns/

# Here are targets using the provided dependencies
.PHONY: deps-debug
deps-debug: $(DEPS_DBG)
	$(MAKE) -f GNUmakefile debug=yes use_deps=yes
	cd DebugOXP && $(MAKE) && cd .. && mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && mv -f DebugOXP/Basic-debug.oxp AddOns/

.PHONY: deps-release
deps-release: $(DEPS)
	$(MAKE) -f GNUmakefile debug=no use_deps=yes
	cd DebugOXP && $(MAKE) && cd .. && mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && mv -f DebugOXP/Basic-debug.oxp AddOns/
	
.PHONY: deps-release-deployment
deps-release-deployment: $(DEPS)
	$(MAKE) -f GNUmakefile DEPLOYMENT_RELEASE_CONFIGURATION=yes debug=no use_deps=yes
	
.PHONY: deps-release-snapshot
deps-release-snapshot: $(DEPS)
	$(MAKE) -f GNUmakefile SNAPSHOT_BUILD=yes VERSION_STRING=$(VER) debug=no use_deps=yes
	cd DebugOXP && $(MAKE) && cd .. && mkdir -p AddOns && rm -rf AddOns/Basic-debug.oxp && mv -f DebugOXP/Basic-debug.oxp AddOns/

.PHONY: LIBJS_DBG
LIBJS_DBG:
ifeq ($(GNUSTEP_HOST_OS),mingw32)
	@echo "ERROR - this Makefile can't (yet) build the Javascript DLL"
	@echo "        Please build it yourself and copy it to $(LIBJS_DBG)."
	false
endif
	$(MAKE) -f libjs.make debug=yes

.PHONY: LIBJS
LIBJS:
ifeq ($(GNUSTEP_HOST_OS),mingw32)
	@echo "ERROR - this Makefile can't (yet) build the Javascript DLL"
	@echo "        Please build it yourself and copy it to $(LIBJS)."
	false
endif
	$(MAKE) -f libjs.make debug=no

.PHONY: clean
clean:
	$(MAKE) -f GNUmakefile clean
	$(RM) -rf oolite.app
	$(RM) -rf AddOns && cd DebugOXP && $(MAKE) clean && cd ..

.PHONY: distclean
distclean: clean
ifneq ($(GNUSTEP_HOST_OS),mingw32)
	$(MAKE) -f libjs.make distclean debug=yes
	$(MAKE) -f libjs.make distclean debug=no
endif

.PHONY: all
all: release release-deployment release-snapshot debug

.PHONY: remake
remake: clean all

.PHONY: deps-all
deps-all: deps-release deps-release-deployment deps-release-snapshot deps-debug

.PHONY: deps-remake
deps-remake: clean deps-all

# Here are our linux autopackager targets
#
pkg-autopackage:
	makepackage -c -m $(APSPEC_FILE)

# Here are our POSIX (e.g. FreeBSD, Linux etc.) self-extracted packager targets
#
# TODO: For debug package the "oolite" startup script should point to "oolite.app/oolite.dbg" binary, 
#       the "uninstall" script should remove the "oolite.dbg" binary and 
#       either not distribute the "oolite-update" scripts or create an Oolite debug repository and 
#       update the "oolite.app/oolite-update" script to synchronize accordingly
#       
#       pkg-posix-debug:
#	        installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "debug"
#
pkg-posix:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release-deployment" ""

pkg-posix-test:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release" ""

pkg-posix-snapshot:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release-snapshot" ""

pkg-posix-nightly:
	installers/posix/make_installer.sh $(HOST_ARCH) $(VER) "release-snapshot" "nightly"

# Here are our Debian packager targets
#
.PHONY: debian/changelog
debian/changelog:
	cat debian/changelog.in | sed -e "s/@@VERSION@@/${VER}/g" -e "s/@@REVISION@@/${DEB_REV}/g" -e "s/@@TIMESTAMP@@/${DEB_BUILDTIME}/g" > debian/changelog

.PHONY: pkg-deb pkg-debtest pkg-debsnapshot
pkg-deb: debian/changelog
	debuild binary

pkg-debtest: debian/changelog
	debuild binary

pkg-debsnapshot: debian/changelog
	debuild -e SNAPSHOT_BUILD=yes -e VERSION_STRING=$(VER) binary

.PHONY: pkg-debclean
pkg-debclean:
	debuild clean

# And here are our Windows packager targets
#
NSIS="C:\Program Files\NSIS\makensis.exe"
NSISVERSIONS=installers/win32/OoliteVersions.nsh

# Passing arguments cause problems with some versions of NSIS.
# Because of this, we generate them into a separate file and include them.
.PHONY: ${NSISVERSIONS}
${NSISVERSIONS}:
	@echo "; Version Definitions for Oolite" > $@
	@echo "; NOTE - This file is auto-generated by the Makefile, any manual edits will be overwritten" >> $@
	@echo "!define VER_MAJ ${VER_MAJ}" >> $@
	@echo "!define VER_MIN ${VER_MIN}" >> $@
	@echo "!define VER_REV ${VER_REV}" >> $@
	@echo "!define SVNREV ${SVNREVISION}" >> $@
	@echo "!define VERSION ${VER}" >> $@
	@echo "!define BUILDTIME \"${BUILDTIME}\"" >> $@

.PHONY: pkg-win
pkg-win: release ${NSISVERSIONS}
	$(NSIS) installers/win32/OOlite.nsi
	
.PHONY: pkg-win-deployment
pkg-win-deployment: release-deployment ${NSISVERSIONS}
	@echo "!define DEPLOYMENT 1" >> ${NSISVERSIONS}
	$(NSIS) installers/win32/OOlite.nsi

.PHONY: pkg-win-snapshot
pkg-win-snapshot: release-snapshot ${NSISVERSIONS}
	@echo "!define SNAPSHOT 1" >> ${NSISVERSIONS}
	$(NSIS) installers/win32/OOlite.nsi

.PHONY: help
help:
	@echo "This is a helper-Makefile to make compiling Oolite easier."
	@echo
	@echo "NOTE (Linux): To build with the dependency libraries provided with Oolite"
	@echo "              source, use 'deps-' prefix with debug, release, release-snapshot"
	@echo "              and release-deployment build options."
	@echo
	@echo "Development Targets:"
	@echo "  debug               - builds a debug executable in oolite.app/oolite.dbg"
	@echo "  release             - builds a release executable in oolite.app/oolite"
	@echo "  release-deployment  - builds a release executable in oolite.app/oolite"
	@echo "  release-snapshot    - builds a snapshot release in oolite.app/oolite"
	@echo "  all                 - builds the above targets"
	@echo "  clean               - removes all generated files"
	@echo
	@echo "Packaging Targets:"
	@echo " Linux (debian):"
	@echo "  pkg-deb             - builds a release Debian package"
	@echo "  pkg-debtest         - builds a test release Debian package"
	@echo "  pkg-debsnapshot     - builds a snapshot release Debian package"
	@echo "  pkg-debclean        - cleans up after a Debian package build"
	@echo
	@echo " POSIX (e.g. FreeBSD, Linux etc.):"
	@echo "  pkg-autopackage     - builds an autopackage (http://autopackage.org) package"
	@echo
	@echo "  pkg-posix           - builds a release self-extracting package"
	@echo "  pkg-posix-test      - builds a test release self-extracting package"
	@echo "  pkg-posix-snapshot  - builds a snapshot release self-extracting package"
	@echo "  pkg-posix-nightly   - builds a snapshot release self-extracting package for the nightly build"
	@echo
	@echo " Windows Installer:"
	@echo "  pkg-win             - builds a test-release version"
	@echo "  pkg-win-deployment  - builds a release version"
	@echo "  pkg-win-snapshot    - builds a snapshot version"

=== DebugOXP/Makefile ===
# Conveniently, this here xcconfig file declares the version in a make-compatible format.
OOLITE_VERSION_FILE = ../src/Cocoa/oolite-version.xcconfig
include $(OOLITE_VERSION_FILE)

TARGET = Basic-debug.oxp


$(TARGET): Resources/debugConfig.plist Resources/DebugOXPLocatorBeacon.magic Resources/oolite-debug-console.js requires.plist
	rm -rf $(TARGET)
	mkdir $(TARGET)
	mkdir $(TARGET)/Config
	mkdir $(TARGET)/Scripts
	cp Resources/debugConfig.plist $(TARGET)/Config/
	cp Resources/DebugOXPLocatorBeacon.magic $(TARGET)/
	cp Resources/oolite-debug-console.js $(TARGET)/Scripts/
	cp requires.plist $(TARGET)/
	
requires.plist: $(OOLITE_VERSION_FILE)
	echo "{ version = \"$(OOLITE_VERSION)\"; max_version = \"$(OOLITE_VERSION).99\"; }" > $@

clean:
	rm -rf $(TARGET)
	rm -rf requires.plist

=== tools/planettool/Makefile ===
EXECUTABLE = planettool
UNAME := $(shell uname -o)
include planettool-version.inc


CC = gcc
LD = $(CC)

CFLAGS = -I$(FPM_PATH) -I$(OOMATHS_PATH) -DOOMATHS_STANDALONE=1 -DPLANETTOOL_VERSION="\"$(PLANETTOOL_VERSION)\"" -g -ffast-math -I../../src/Core
LDFLAGS = -lpng -lz


ifeq ($(UNAME),Msys)
	CFLAGS += -I/mingw/../devlibs/include
	LDFLAGS += -L/mingw/../devlibs/lib
endif


ifndef scheduler
	scheduler = PThreadScheduler
endif

ifeq ($(scheduler),PThreadScheduler)
	LDFLAGS += -lpthread
endif


ifneq ($(debug),yes)
	CFLAGS += -O3 -ftree-vectorize -funroll-loops
endif


ifeq ($(asprintf),no)
	CFLAGS += -DNO_ASPRINTF
endif


ifeq ($(sse2),yes)
	CFLAGS += -DUSING_SSE2=1 -mtune=generic -mfpmath=sse -msse2
endif


ifndef srcdir
	srcdir = .
endif

FPM_PATH = $(srcdir)/FloatPixMap/

ifndef OOMATHS_PATH
	ifneq ($(inrepo),yes)
		OOMATHS_PATH = $(srcdir)/Oolite/
	else
		OOMATHS_PATH = $(srcdir)/../../src/Core/
	endif
endif
		


vpath %.h $(FPM_PATH):$(OOMATHS_PATH)
vpath %.c $(FPM_PATH)
vpath %.m $(OOMATHS_PATH)

.SUFFIXES: .m


CORE_OBJECTS = main.o SphericalPixelSource.o ReadLatLong.o ReadCube.o LatLongGridGenerator.o RenderToLatLong.o RenderToCube.o RenderToMercator.o RenderToGallPeters.o MatrixTransformer.o CosineBlurFilter.o $(scheduler).o PTPowerManagement.o
FPM_OBJECTS = FloatPixMap.o FPMGamma.o FPMImageOperations.o FPMPNG.o FPMQuantize.o FPMRaw.o
OOMATHS_OBJECTS = OOFastArithmetic.o OOMatrix.o OOQuaternion.o OOVector.o

OBJECTS = $(CORE_OBJECTS) $(FPM_OBJECTS) $(OOMATHS_OBJECTS)


planettool: $(OBJECTS)
	$(LD) -o $(EXECUTABLE) $(OBJECTS) $(LDFLAGS) 


# Rule to compile Objective-C maths files as C.
.m.o:
	$(CC) -c -x c $(CFLAGS) -o $@ $<


# Core dependencies.
SphericalPixelSource.h: FloatPixMap.h
LatLongGridGenerator.h ReadLatLong.h ReadCube.h MatrixTransformer.h RenderToLatLong.h RenderToCube.h PlanetToolScheduler.h: SphericalPixelSource.h

main.o: FPMPNG.h LatLongGridGenerator.h ReadLatLong.h MatrixTransformer.h RenderToLatLong.h RenderToCube.h PTPowerManagement.h

SphericalPixelSource.o: SphericalPixelSource.h
ReadLatLong.o: ReadLatLong.h FPMImageOperations.h PlanetToolScheduler.h
ReadCube.o: ReadCube.h FPMImageOperations.h PlanetToolScheduler.h
RenderToLatLong.o: RenderToLatLong.h FPMImageOperations.h
RenderToMercator.o: RenderToMercator.h FPMImageOperations.h
RenderToGallPeters.o: RenderToGallPeters.h FPMImageOperations.h
LatLongGridGenerator.o: LatLongGridGenerator.h
RenderToCube.o: RenderToCube.h FPMImageOperations.h
MatrixTransformer.o: MatrixTransformer.h
CosineBlurFilter.o: CosineBlurFilter.h
SerialScheduler.o PListScheduler.o: PlanetToolScheduler.h
PTPowerManagement.o: PTPowerManagement.h


# FloatPixMap dependencies.
FloatPixMap.h FPMVector.h: FPMBasics.h
FPMPNG.h FPMGamma.h FPMImageOperations.h FPMQuantize.h FPMRaw.h : FloatPixMap.h
FPMPNG.h : FPMGamma.h FPMQuantize.h

FloatPixMap.o: FloatPixMap.h
FPMGamma.o: FPMGamma.h FPMImageOperations.h
FPMImageOperations.o: FPMImageOperations.h FPMVector.h
FPMPNG.o: FPMPNG.h
FPMQuantize.o: FPMQuantize.h FPMImageOperations.h
FPMRaw.o: FPMRaw.h FPMImageOperations.h



.PHONY: clean
clean:
	-rm -f *.o $(EXECUTABLE)

=== debian/changelog ===
oolite (1.77.1-3) unstable; urgency=medium

  * Avoid patches/gnustep_app_builder.diff. Closes: #732377.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 18 Dec 2013 19:35:21 +0100

oolite (1.77.1-2) unstable; urgency=low

  * The symlink in oolite described below replaces a directory in
    oolite-data<<1.76.1-3, Break+Replace accordingly. Closes: #729219.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Nov 2013 12:51:22 +0100

oolite (1.77.1-1) unstable; urgency=low

  * New upstream snapshot. One patch refreshed.
  * rules, Build-Depends-Indep: generate some PDF from odt sources.
  * copyright, dfsg_cleaner: reduce differences between upstream and DFSG
    tarballs. Document the newly embedded licenses.
  * patches/generate_planet_data: generate 14Mo at build time.
  * Standards-Version: 3.9.5 (no changes).
  * oolite.preinst: symlink mentioned in 1.76.1-3 stanza may replace an
    existing directory, even if dpkg refuses to do so. Closes: #728790.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Nov 2013 00:54:49 +0100

oolite (1.76.1-3) unstable; urgency=low

  * Updated patches/debian_version_of_libmozjs.
    New patches/add_keywords_to_desktop_file, gnustep_app_builder.diff.
  * control (Build-Depends): removed work-around for #678859.
  * README.Debian, source/options, DM-Upload-Allowed: removed.
  * README.source, Vcs-*: canonical URL for git repository.
  * *.install, .links: replace arch-indep data in usr/lib with a symlink.
  * doc-base support for OoliteReadMe.pdf.
  * Standards-Version: 3.9.4. Split build-[arch|indep] targets.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 12 Aug 2013 21:21:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: oolite
 Section: games
 Priority: optional
-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Standards-Version: 3.9.5
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 	libsdl1.2-dev, libsdl-mixer1.2-dev,
 	libgnustep-base-dev, gnustep-core-devel,
 	libnspr4-dev, libmozjs185-dev,
-	libpng-dev, mesa-common-dev, gobjc, libffi-dev
-# Work-around: Oolite does not Build-Depend on libffi-dev, but
-# libmozjs185-dev does (reported as #).
+	libpng-dev, mesa-common-dev, gobjc,
+        pkg-config
+Build-Depends-Indep: libreoffice-writer, fonts-liberation, fonts-dejavu,
+ fonts-opensymbol
 Homepage: http://www.oolite.org
-Vcs-Git: git://git.debian.org/pkg-games/oolite.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/oolite.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/oolite.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/oolite.git
 
 Package: oolite
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, oolite-data (= ${source:Version})
-Replaces: oolite-data (<< 1.74.2-2)
-Breaks: oolite-data (<< 1.74.2-2)
+Replaces: oolite-data (<< 1.76.1-3)
+Breaks: oolite-data (<< 1.76.1-3)
 Recommends: oolite-doc (= ${source:Version}),
             oolite-data-sounds (= ${source:Version})
 Description: space sim game, inspired by Elite

=== debian/rules ===
#!/usr/bin/make -f

# Ubuntu/Debian build rules file for OOlite

# Copyright (c) 2007-2009 Chris Crowther <hikari@hikari.org.uk>
# Copyright (c) 2009      Darren Salt <linux@youmustbejoking.demon.co.uk>
# Copyright (c) 2009      Michael Werle <micha@michaelwerle.com>
# Copyright (c) 2010-2013 Nicolas Boulenguez <nicolas@debian.org>

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@

# Debhelper, please, do not run make -f GNUmakefile without me.
override_dh_auto_configure:
override_dh_auto_build-arch:
override_dh_auto_build-indep:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean::
# We will never call the install upstream target, as GNUstep stores
# arch-dep and arch-indep files together. Installing to debian/tmp and
# splitting afterwards is much more complex than moving them once.

######################################################################
# We use the magic of the MAKE variable instead of gs_make so that
# useful options like -n are transmitted to submakes.

include /usr/share/GNUstep/debian/config.mk
GSMAKE += GNUSTEP_MAKEFILES=$(GS_MAKE_DIR)

GSMAKE += messages=yes
# Display compilation flags to log checkers.

# Usually, "debug=yes strip=no" would be enough, but upstream uses
# "debug" to toggle many unrelated settings, for example libmozjs
# debugging and stripping of the binary.
GSMAKE += STRIP=/bin/true

# Use Debian default build options.
include /usr/share/dpkg/buildflags.mk
GSMAKE += CFLAGS="$(CFLAGS)"
GSMAKE += CPPFLAGS="$(CPPFLAGS)"
# Fail now if order of linked libraries is wrong.
GSMAKE += LDFLAGS="-Wl,-z,defs -Wl,--as-needed $(LDFLAGS)"
GSMAKE += OBJCFLAGS="$(CFLAGS)"

# Ignore GNUSTEP optimization setting, noopt is handled by CFLAGS.
GSMAKE += OPTFLAG=""

# Use all processors unless parallel is set in DEB_BUILD_OPTIONS.
# http://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
NUMJOBS := $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(NUMJOBS))
  GSMAKE += --jobs=$(subst parallel=,,$(NUMJOBS))
else
  GSMAKE += --jobs=$(shell getconf _NPROCESSORS_ONLN)
endif

######################################################################
OOLITE_APP := oolite.app

OOLITE_OPTS += ESPEAK=no
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591717

OOLITE_OPTS += OO_JAVASCRIPT_TRACE=no
# Forced by libmozjs185 settings

OOLITE_OPTS += DEPLOYMENT_RELEASE_CONFIGURATION=yes

override_dh_auto_build-arch: $(OOLITE_APP)
override_dh_auto_build-indep: $(OOLITE_APP)
$(OOLITE_APP):
	$(MAKE) $(GSMAKE) $(OOLITE_OPTS)
override_dh_auto_clean::
	$(MAKE) $(GSMAKE) $(OOLITE_OPTS) distclean clean
	rm -rf $(OOLITE_APP)

######################################################################
PLANET_DATA := src/Core/OOPlanetData
ICOSMESH_DIR := tools/icosmesh
ICOSMESH_EXE := $(ICOSMESH_DIR)/obj/icosmesh

$(OOLITE_APP): $(PLANET_DATA).c
$(PLANET_DATA).c: $(ICOSMESH_EXE)
	cd src/Core && ../../$<
override_dh_auto_clean::
	rm -f $(PLANET_DATA).[ch]

$(ICOSMESH_EXE):
	$(MAKE) $(GSMAKE) -C $(ICOSMESH_DIR)
override_dh_auto_clean::
	$(MAKE) $(GSMAKE) -C $(ICOSMESH_DIR) clean

######################################################################
# For AdviceForNewCommanders.doc, unoconv covers parts of the text
# with embedded images, so we do not regenerate it.
PDF_FROM_ODT := \
  Doc/OoliteReadMe.pdf \
  Doc/OoliteRS.pdf

override_dh_auto_build-indep: $(PDF_FROM_ODT)
$(PDF_FROM_ODT): %.pdf: %.odt
	libreoffice --headless --convert-to pdf --outdir $(dir $@) $<
override_dh_auto_clean::
	rm -f $(PDF_FROM_ODT)

######################################################################
override_dh_installchangelogs:
	dh_installchangelogs --all Doc/CHANGELOG.TXT

=== debian/watch ===
version=3
opts=downloadurlmangle=s/prdownload/download/,dversionmangle=s/dfsg// \
  http://developer.berlios.de/project/showfiles.php?group_id=3577 \
  http://prdownload.berlios.de/oolite-linux/oolite-source-([\d\.-]*).tar.bz2
